Package org.eclipse.ui

## Interface ISharedImages

    public interface ISharedImages

A registry for common images used by the workbench which may be useful to other plug-ins.

This class provides `Image` and `ImageDescriptor`s for each named image in the interface. All `Image` objects provided by this class are managed by this class and must never be disposed by other clients.

This interface is not intended to be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `IMG_DEC_FIELD_ERROR` Identifies the error overlay image.
`static String` `IMG_DEC_FIELD_WARNING` Identifies the warning overlay image.
`static String` `IMG_DEF_VIEW` Identifies the default image used for views.
`static String` `IMG_ELCL_COLLAPSEALL` Identifies the collapse all image in the enabled state.
`static String` `IMG_ELCL_COLLAPSEALL_DISABLED` Identifies the collapse all image in the disabled state.
`static String` `IMG_ELCL_REMOVE` Identifies the remove image in the enabled state.
`static String` `IMG_ELCL_REMOVE_DISABLED` Identifies the remove image in the disabled state.
`static String` `IMG_ELCL_REMOVEALL` Identifies the remove all image in the enabled state.
`static String` `IMG_ELCL_REMOVEALL_DISABLED` Identifies the remove all image in the disabled state.
`static String` `IMG_ELCL_STOP` Identifies the stop image in the enabled state.
`static String` `IMG_ELCL_STOP_DISABLED` Identifies the stop image in the disabled state.
`static String` `IMG_ELCL_SYNCED` Identifies the synchronize image in the enabled state.
`static String` `IMG_ELCL_SYNCED_DISABLED` Identifies the synchronize image in the disabled state.
`static String` `IMG_ETOOL_CLEAR` Identifies the clear image in the enabled state.
`static String` `IMG_ETOOL_CLEAR_DISABLED` Identifies the clear image in the disabled state.
`static String` `IMG_ETOOL_DEF_PERSPECTIVE` Identifies the default perspective image.
`static String` `IMG_ETOOL_DELETE` Identifies the delete image in the enabled state.
`static String` `IMG_ETOOL_DELETE_DISABLED` Identifies the delete image in the disabled state.
`static String` `IMG_ETOOL_HOME_NAV` Identifies the home image in the enabled state.
`static String` `IMG_ETOOL_HOME_NAV_DISABLED` Identifies the home image in the disabled state.
`static String` `IMG_ETOOL_PRINT_EDIT` Identifies the print image in the enabled state.
`static String` `IMG_ETOOL_PRINT_EDIT_DISABLED` Identifies the print image in the disabled state.
`static String` `IMG_ETOOL_SAVE_EDIT` Identifies the save image in the enabled state.
`static String` `IMG_ETOOL_SAVE_EDIT_DISABLED` Identifies the save image in the disabled state.
`static String` `IMG_ETOOL_SAVEALL_EDIT` Identifies the save all image in the enabled state.
`static String` `IMG_ETOOL_SAVEALL_EDIT_DISABLED` Identifies the save all image in the disabled state.
`static String` `IMG_ETOOL_SAVEAS_EDIT` Identifies the save as image in the enabled state.
`static String` `IMG_ETOOL_SAVEAS_EDIT_DISABLED` Identifies the save as image in the disabled state.
`static String` `IMG_LCL_LINKTO_HELP` Identifies the help image.
`static String` `IMG_OBJ_ADD` Identifies the add image.
`static String` `IMG_OBJ_ELEMENT` Identifies an element image.
`static String` `IMG_OBJ_FILE` Identifies a file image.
`static String` `IMG_OBJ_FOLDER` Identifies a folder image.
`static String` `IMG_OBJ_PROJECT` Deprecated. in 3.0.
`static String` `IMG_OBJ_PROJECT_CLOSED` Deprecated. in 3.0.
`static String` `IMG_OBJS_BKMRK_TSK` Deprecated. in 3.0.
`static String` `IMG_OBJS_DND_BOTTOM_MASK` Cursor 'mask' for the down arrow cursor.
`static String` `IMG_OBJS_DND_BOTTOM_SOURCE` Cursor 'source' for the down arrow cursor.
`static String` `IMG_OBJS_DND_INVALID_MASK` Cursor 'mask' for the 'no drop' arrow cursor.
`static String` `IMG_OBJS_DND_INVALID_SOURCE` Cursor 'source' for the 'no drop' arrow cursor.
`static String` `IMG_OBJS_DND_LEFT_MASK` Cursor 'mask' for the left arrow cursor.
`static String` `IMG_OBJS_DND_LEFT_SOURCE` Cursor 'source' for the left arrow cursor.
`static String` `IMG_OBJS_DND_OFFSCREEN_MASK` Cursor 'mask' for the 'off-screen' (detached window) arrow cursor.
`static String` `IMG_OBJS_DND_OFFSCREEN_SOURCE` Cursor 'source' for the 'off-screen' (detached window) arrow cursor.
`static String` `IMG_OBJS_DND_RIGHT_MASK` Cursor 'mask' for the right arrow cursor.
`static String` `IMG_OBJS_DND_RIGHT_SOURCE` Cursor 'source' for the right arrow cursor.
`static String` `IMG_OBJS_DND_STACK_MASK` Cursor 'mask' for the 'in stack' arrow cursor.
`static String` `IMG_OBJS_DND_STACK_SOURCE` Cursor 'source' for the 'in stack' arrow cursor.
`static String` `IMG_OBJS_DND_TOFASTVIEW_MASK` Cursor 'mask' for the 'fast-view' arrow cursor.
`static String` `IMG_OBJS_DND_TOFASTVIEW_SOURCE` Cursor 'source' for the 'fast-view' arrow cursor.
`static String` `IMG_OBJS_DND_TOP_MASK` Cursor 'mask' for the up arrow cursor.
`static String` `IMG_OBJS_DND_TOP_SOURCE` Cursor 'source' for the up arrow cursor.
`static String` `IMG_OBJS_ERROR_TSK` Identifies the default image used to indicate errors.
`static String` `IMG_OBJS_INFO_TSK` Identifies the default image used to indicate information only.
`static String` `IMG_OBJS_TASK_TSK` Deprecated. in 3.0.
`static String` `IMG_OBJS_WARN_TSK` Identifies the default image used to indicate warnings.
`static String` `IMG_OPEN_MARKER` Deprecated. in 3.0.
`static String` `IMG_TOOL_BACK` Identifies the back image in the enabled state.
`static String` `IMG_TOOL_BACK_DISABLED` Identifies the back image in the disabled state.
`static String` `IMG_TOOL_BACK_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_COPY` Identifies the copy image in the enabled state.
`static String` `IMG_TOOL_COPY_DISABLED` Identifies the copy image in the disabled state.
`static String` `IMG_TOOL_COPY_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_CUT` Identifies the cut image in the enabled state.
`static String` `IMG_TOOL_CUT_DISABLED` Identifies the cut image in the disabled state.
`static String` `IMG_TOOL_CUT_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_DELETE` Identifies the delete image in the enabled state.
`static String` `IMG_TOOL_DELETE_DISABLED` Identifies the delete image in the disabled state.
`static String` `IMG_TOOL_DELETE_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_FORWARD` Identifies the forward image in the enabled state.
`static String` `IMG_TOOL_FORWARD_DISABLED` Identifies the forward image in the disabled state.
`static String` `IMG_TOOL_FORWARD_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_NEW_WIZARD` Identifies the new wizard image in the enabled state.
`static String` `IMG_TOOL_NEW_WIZARD_DISABLED` Identifies the new wizard image in the disabled state.
`static String` `IMG_TOOL_NEW_WIZARD_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_PASTE` Identifies the paste image in the enabled state.
`static String` `IMG_TOOL_PASTE_DISABLED` Identifies the paste image in the disabled state.
`static String` `IMG_TOOL_PASTE_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_REDO` Identifies the redo image in the enabled state.
`static String` `IMG_TOOL_REDO_DISABLED` Identifies the redo image in the disabled state.
`static String` `IMG_TOOL_REDO_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_UNDO` Identifies the undo image in the enabled state.
`static String` `IMG_TOOL_UNDO_DISABLED` Identifies the undo image in the disabled state.
`static String` `IMG_TOOL_UNDO_HOVER` Deprecated. in 3.0.
`static String` `IMG_TOOL_UP` Identifies the up image in the enabled state.
`static String` `IMG_TOOL_UP_DISABLED` Identifies the up image in the disabled state.
`static String` `IMG_TOOL_UP_HOVER` Deprecated. in 3.0.

### Method Summary

All Methods Instance Methods Abstract Methods
`Image` `getImage​(String symbolicName)` Retrieves the specified image from the workbench plugin's image registry.
`ImageDescriptor` `getImageDescriptor​(String symbolicName)` Retrieves the image descriptor for specified image from the workbench's image registry.

### Field Detail

#### IMG_DEC_FIELD_ERROR

    static final String IMG_DEC_FIELD_ERROR

Identifies the error overlay image.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_DEC_FIELD_WARNING

    static final String IMG_DEC_FIELD_WARNING

Identifies the warning overlay image.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_DEF_VIEW

    static final String IMG_DEF_VIEW

Identifies the default image used for views.

See Also:
  Constant Field Values

#### IMG_ELCL_COLLAPSEALL

    static final String IMG_ELCL_COLLAPSEALL

Identifies the collapse all image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_COLLAPSEALL_DISABLED

    static final String IMG_ELCL_COLLAPSEALL_DISABLED

Identifies the collapse all image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_REMOVE

    static final String IMG_ELCL_REMOVE

Identifies the remove image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_REMOVE_DISABLED

    static final String IMG_ELCL_REMOVE_DISABLED

Identifies the remove image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_REMOVEALL

    static final String IMG_ELCL_REMOVEALL

Identifies the remove all image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_REMOVEALL_DISABLED

    static final String IMG_ELCL_REMOVEALL_DISABLED

Identifies the remove all image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_STOP

    static final String IMG_ELCL_STOP

Identifies the stop image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_STOP_DISABLED

    static final String IMG_ELCL_STOP_DISABLED

Identifies the stop image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_SYNCED

    static final String IMG_ELCL_SYNCED

Identifies the synchronize image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ELCL_SYNCED_DISABLED

    static final String IMG_ELCL_SYNCED_DISABLED

Identifies the synchronize image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_CLEAR

    static final String IMG_ETOOL_CLEAR

Identifies the clear image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_CLEAR_DISABLED

    static final String IMG_ETOOL_CLEAR_DISABLED

Identifies the clear image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_DEF_PERSPECTIVE

    static final String IMG_ETOOL_DEF_PERSPECTIVE

Identifies the default perspective image.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_DELETE

    static final String IMG_ETOOL_DELETE

Identifies the delete image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_DELETE_DISABLED

    static final String IMG_ETOOL_DELETE_DISABLED

Identifies the delete image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_HOME_NAV

    static final String IMG_ETOOL_HOME_NAV

Identifies the home image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_HOME_NAV_DISABLED

    static final String IMG_ETOOL_HOME_NAV_DISABLED

Identifies the home image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_PRINT_EDIT

    static final String IMG_ETOOL_PRINT_EDIT

Identifies the print image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_PRINT_EDIT_DISABLED

    static final String IMG_ETOOL_PRINT_EDIT_DISABLED

Identifies the print image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_SAVE_EDIT

    static final String IMG_ETOOL_SAVE_EDIT

Identifies the save image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_SAVE_EDIT_DISABLED

    static final String IMG_ETOOL_SAVE_EDIT_DISABLED

Identifies the save image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_SAVEALL_EDIT

    static final String IMG_ETOOL_SAVEALL_EDIT

Identifies the save all image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_SAVEALL_EDIT_DISABLED

    static final String IMG_ETOOL_SAVEALL_EDIT_DISABLED

Identifies the save all image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_SAVEAS_EDIT

    static final String IMG_ETOOL_SAVEAS_EDIT

Identifies the save as image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_ETOOL_SAVEAS_EDIT_DISABLED

    static final String IMG_ETOOL_SAVEAS_EDIT_DISABLED

Identifies the save as image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_LCL_LINKTO_HELP

    static final String IMG_LCL_LINKTO_HELP

Identifies the help image.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_OBJ_ADD

    static final String IMG_OBJ_ADD

Identifies the add image.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_OBJ_ELEMENT

    static final String IMG_OBJ_ELEMENT

Identifies an element image.

See Also:
  Constant Field Values

#### IMG_OBJ_FILE

    static final String IMG_OBJ_FILE

Identifies a file image.

See Also:
  Constant Field Values

#### IMG_OBJ_FOLDER

    static final String IMG_OBJ_FOLDER

Identifies a folder image.

See Also:
  Constant Field Values

#### IMG_OBJ_PROJECT

    @Deprecated
    static final String IMG_OBJ_PROJECT

Deprecated.
in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJ_PROJECT` instead.
Identifies a project image.

See Also:
  Constant Field Values

#### IMG_OBJ_PROJECT_CLOSED

    @Deprecated
    static final String IMG_OBJ_PROJECT_CLOSED

Deprecated.
in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJ_PROJECT_CLOSED` instead.
Identifies a closed project image.

See Also:
  Constant Field Values

#### IMG_OBJS_BKMRK_TSK

    @Deprecated
    static final String IMG_OBJS_BKMRK_TSK

Deprecated.
in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJS_BKMRK_TSK` instead.
Identifies the default image used to indicate a bookmark.

See Also:
  Constant Field Values

#### IMG_OBJS_ERROR_TSK

    static final String IMG_OBJS_ERROR_TSK

Identifies the default image used to indicate errors.

See Also:
  Constant Field Values

#### IMG_OBJS_INFO_TSK

    static final String IMG_OBJS_INFO_TSK

Identifies the default image used to indicate information only.

See Also:
  Constant Field Values

#### IMG_OBJS_TASK_TSK

    @Deprecated
    static final String IMG_OBJS_TASK_TSK

Deprecated.
in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OBJS_TASK_TSK` instead.
Identifies the default image used to indicate a task.

See Also:
  Constant Field Values

#### IMG_OBJS_WARN_TSK

    static final String IMG_OBJS_WARN_TSK

Identifies the default image used to indicate warnings.

See Also:
  Constant Field Values

#### IMG_OPEN_MARKER

    @Deprecated
    static final String IMG_OPEN_MARKER

Deprecated.
in 3.0. This image is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.SharedImages.IMG_OPEN_MARKER` instead.
Identifies the image used for "open marker".

See Also:
  Constant Field Values

#### IMG_TOOL_BACK

    static final String IMG_TOOL_BACK

Identifies the back image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_BACK_DISABLED

    static final String IMG_TOOL_BACK_DISABLED

Identifies the back image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_BACK_HOVER

    @Deprecated
    static final String IMG_TOOL_BACK_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_BACK`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the back image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_COPY

    static final String IMG_TOOL_COPY

Identifies the copy image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_COPY_DISABLED

    static final String IMG_TOOL_COPY_DISABLED

Identifies the copy image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_COPY_HOVER

    @Deprecated
    static final String IMG_TOOL_COPY_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_COPY`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the copy image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_CUT

    static final String IMG_TOOL_CUT

Identifies the cut image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_CUT_DISABLED

    static final String IMG_TOOL_CUT_DISABLED

Identifies the cut image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_CUT_HOVER

    @Deprecated
    static final String IMG_TOOL_CUT_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_CUT`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the cut image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_DELETE

    static final String IMG_TOOL_DELETE

Identifies the delete image in the enabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_TOOL_DELETE_DISABLED

    static final String IMG_TOOL_DELETE_DISABLED

Identifies the delete image in the disabled state.

Since:
  3.4
See Also:
  Constant Field Values

#### IMG_TOOL_DELETE_HOVER

    @Deprecated
    static final String IMG_TOOL_DELETE_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_DELETE`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the delete image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_FORWARD

    static final String IMG_TOOL_FORWARD

Identifies the forward image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_FORWARD_DISABLED

    static final String IMG_TOOL_FORWARD_DISABLED

Identifies the forward image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_FORWARD_HOVER

    @Deprecated
    static final String IMG_TOOL_FORWARD_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_FORWARD`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the forward image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_NEW_WIZARD

    static final String IMG_TOOL_NEW_WIZARD

Identifies the new wizard image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_NEW_WIZARD_DISABLED

    static final String IMG_TOOL_NEW_WIZARD_DISABLED

Identifies the new wizard image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_NEW_WIZARD_HOVER

    @Deprecated
    static final String IMG_TOOL_NEW_WIZARD_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_NEW_WIZARD`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the new wizard image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_PASTE

    static final String IMG_TOOL_PASTE

Identifies the paste image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_PASTE_DISABLED

    static final String IMG_TOOL_PASTE_DISABLED

Identifies the paste image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_PASTE_HOVER

    @Deprecated
    static final String IMG_TOOL_PASTE_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_PASTE`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the paste image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_REDO

    static final String IMG_TOOL_REDO

Identifies the redo image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_REDO_DISABLED

    static final String IMG_TOOL_REDO_DISABLED

Identifies the redo image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_REDO_HOVER

    @Deprecated
    static final String IMG_TOOL_REDO_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_REDO`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the redo image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_UNDO

    static final String IMG_TOOL_UNDO

Identifies the undo image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_UNDO_DISABLED

    static final String IMG_TOOL_UNDO_DISABLED

Identifies the undo image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_UNDO_HOVER

    @Deprecated
    static final String IMG_TOOL_UNDO_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_UNDO`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the undo image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_TOOL_UP

    static final String IMG_TOOL_UP

Identifies the up image in the enabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_UP_DISABLED

    static final String IMG_TOOL_UP_DISABLED

Identifies the up image in the disabled state.

See Also:
  Constant Field Values

#### IMG_TOOL_UP_HOVER

    @Deprecated
    static final String IMG_TOOL_UP_HOVER

Deprecated.
in 3.0. This image is now the same as `IMG_TOOL_UP`. Enabled images are now in color. The workbench itself no longer uses the hover image variants.
Identifies the up image in the hover (colored) state.

See Also:
  Constant Field Values

#### IMG_OBJS_DND_LEFT_SOURCE

    static final String IMG_OBJS_DND_LEFT_SOURCE

Cursor 'source' for the left arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_LEFT_MASK

    static final String IMG_OBJS_DND_LEFT_MASK

Cursor 'mask' for the left arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_RIGHT_SOURCE

    static final String IMG_OBJS_DND_RIGHT_SOURCE

Cursor 'source' for the right arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_RIGHT_MASK

    static final String IMG_OBJS_DND_RIGHT_MASK

Cursor 'mask' for the right arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_TOP_SOURCE

    static final String IMG_OBJS_DND_TOP_SOURCE

Cursor 'source' for the up arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_TOP_MASK

    static final String IMG_OBJS_DND_TOP_MASK

Cursor 'mask' for the up arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_BOTTOM_SOURCE

    static final String IMG_OBJS_DND_BOTTOM_SOURCE

Cursor 'source' for the down arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_BOTTOM_MASK

    static final String IMG_OBJS_DND_BOTTOM_MASK

Cursor 'mask' for the down arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_INVALID_SOURCE

    static final String IMG_OBJS_DND_INVALID_SOURCE

Cursor 'source' for the 'no drop' arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_INVALID_MASK

    static final String IMG_OBJS_DND_INVALID_MASK

Cursor 'mask' for the 'no drop' arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_STACK_SOURCE

    static final String IMG_OBJS_DND_STACK_SOURCE

Cursor 'source' for the 'in stack' arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_STACK_MASK

    static final String IMG_OBJS_DND_STACK_MASK

Cursor 'mask' for the 'in stack' arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_OFFSCREEN_SOURCE

    static final String IMG_OBJS_DND_OFFSCREEN_SOURCE

Cursor 'source' for the 'off-screen' (detached window) arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_OFFSCREEN_MASK

    static final String IMG_OBJS_DND_OFFSCREEN_MASK

Cursor 'mask' for the 'off-screen' (detached window) arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_TOFASTVIEW_SOURCE

    static final String IMG_OBJS_DND_TOFASTVIEW_SOURCE

Cursor 'source' for the 'fast-view' arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

#### IMG_OBJS_DND_TOFASTVIEW_MASK

    static final String IMG_OBJS_DND_TOFASTVIEW_MASK

Cursor 'mask' for the 'fast-view' arrow cursor. For cursor construction see:

Since:
  3.5
See Also:
  `Cursor(Device, ImageData, ImageData, int, int)`, Constant Field Values

### Method Detail

#### getImage

    Image getImage​(String symbolicName)

Retrieves the specified image from the workbench plugin's image registry. Note: The returned `Image` is managed by the workbench; clients must not dispose of the returned image.

Parameters:
  `symbolicName` - the symbolic name of the image; there are constants declared in this interface for build-in images that come with the workbench
Returns:
  the image, or `null` if not found

#### getImageDescriptor

    ImageDescriptor getImageDescriptor​(String symbolicName)

Retrieves the image descriptor for specified image from the workbench's image registry. Unlike `Image`s, image descriptors themselves do not need to be disposed.

Parameters:
  `symbolicName` - the symbolic name of the image; there are constants declared in this interface for build-in images that come with the workbench
Returns:
  the image descriptor, or `null` if not found